## ros-rolling-ign-rviz-plugins 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ign_rviz_plugins)

set(CMAKE_AUTOMOC ON)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# ROS2 packages
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

# Ignition libraries
find_package(ignition-math6 REQUIRED)

# Dome
if("$ENV{IGNITION_VERSION}" STREQUAL "dome")
  find_package(ignition-gui4 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui4_VERSION_MAJOR})

  find_package(ignition-common3 REQUIRED)
  set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})

  find_package(ignition-rendering4 REQUIRED)
  set(IGN_RENDERING_VER ${ignition-rendering4_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Dome")
# Default to Edifice
else()
  find_package(ignition-gui5 REQUIRED)
  set(IGN_GUI_VER ${ignition-gui5_VERSION_MAJOR})

  find_package(ignition-common4 REQUIRED)
  set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

  find_package(ignition-rendering5 REQUIRED)
  set(IGN_RENDERING_VER ${ignition-rendering5_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

find_package(Qt5Widgets CONFIG REQUIRED)

find_package(ign_rviz_common REQUIRED)

include_directories(include)

include_directories(SYSTEM
  ${IGNITION-COMMON_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
  ${IGNITION-MATH_INCLUDE_DIRS}
)

qt5_add_resources(resources_RCC res/Plugins.qrc)

########################################################################
macro(add_ign_rviz_plugin)
  set(oneValueArgs NAME)
  set(multiValueArgs EXTRA_FILES DEPENDENCIES)
  cmake_parse_arguments(IGN_RVIZ_PLUGIN "" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  add_library(${IGN_RVIZ_PLUGIN_NAME} SHARED ${headers_MOC}
    include/ignition/rviz/plugins/${IGN_RVIZ_PLUGIN_NAME}.hpp
    include/ignition/rviz/plugins/message_display_base.hpp
    src/rviz/plugins/${IGN_RVIZ_PLUGIN_NAME}.cpp
    ${IGN_RVIZ_PLUGIN_EXTRA_FILES}
    ${resources_RCC}
  )

  ament_target_dependencies(
    ${IGN_RVIZ_PLUGIN_NAME}
    ${IGN_RVIZ_PLUGIN_DEPENDENCIES}
  )

  target_link_libraries(
    ${IGN_RVIZ_PLUGIN_NAME}
    Qt5::Core Qt5::Qml Qt5::Quick Qt5::QuickControls2
  )

  target_include_directories(${IGN_RVIZ_PLUGIN_NAME}
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    ${Qt5Widgets_INCLUDE_DIRS}
    ${IGNITION-GUI_INCLUDE_DIRS}
  )
endmacro()

########################################################################
add_ign_rviz_plugin(
  NAME AxesDisplay
  DEPENDENCIES
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME GlobalOptions
  DEPENDENCIES
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME GPSDisplay
  DEPENDENCIES
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    sensor_msgs
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME ImageDisplay
  DEPENDENCIES
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    sensor_msgs
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME LaserScanDisplay
  DEPENDENCIES
    tf2_ros
    sensor_msgs
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    ign_rviz_common
)

########################################################################
add_ign_rviz_plugin(
  NAME MarkerDisplay
  EXTRA_FILES
    src/rviz/plugins/MarkerManager.cpp
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
    visualization_msgs
)

########################################################################
add_ign_rviz_plugin(
  NAME MarkerArrayDisplay
  EXTRA_FILES
    src/rviz/plugins/MarkerManager.cpp
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
    visualization_msgs
)

########################################################################
add_ign_rviz_plugin(
  NAME PathDisplay
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    nav_msgs
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME PointStampedDisplay
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME PolygonDisplay
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME PoseDisplay
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME PoseArrayDisplay
  DEPENDENCIES
    geometry_msgs
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    tf2_ros
)

########################################################################
add_ign_rviz_plugin(
  NAME RobotModelDisplay
  DEPENDENCIES
    ign_rviz_common
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    std_msgs
    tf2_ros
    urdf
)

########################################################################
add_ign_rviz_plugin(
  NAME TFDisplay
  DEPENDENCIES
    tf2_ros
    ignition-gui${IGN_GUI_VER}
    ignition-math6
    ignition-rendering${IGN_RENDERING_VER}
    ign_rviz_common
)

########################################################################
add_library(ign_rviz_plugins SHARED
  "include/ignition/rviz/plugins/message_display_base.hpp"
)

ament_target_dependencies(ign_rviz_plugins
  ign_rviz_common
  ignition-gui${IGN_GUI_VER}
  rclcpp
  tf2_ros
)

target_include_directories(ign_rviz_plugins
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${Qt5Widgets_INCLUDE_DIRS}
  ${IGNITION-GUI_INCLUDE_DIRS}
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)

ament_export_libraries(ign_rviz_plugins)

install(
  TARGETS ign_rviz_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

########################################################################
ament_export_libraries(
  AxesDisplay
  GlobalOptions
  GPSDisplay
  ImageDisplay
  LaserScanDisplay
  MarkerDisplay
  MarkerArrayDisplay
  PathDisplay
  PointStampedDisplay
  PolygonDisplay
  PoseDisplay
  PoseArrayDisplay
  RobotModelDisplay
  TFDisplay
)

install(
  TARGETS
    AxesDisplay
    GlobalOptions
    GPSDisplay
    ImageDisplay
    LaserScanDisplay
    MarkerDisplay
    MarkerArrayDisplay
    PathDisplay
    PointStampedDisplay
    PolygonDisplay
    PoseDisplay
    PoseArrayDisplay
    RobotModelDisplay
    TFDisplay
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ign-rviz-plugins (0.0.1-4focal) focal; urgency=high

  * Edifice support (#71 <https://github.com/ignitionrobotics/ign-rviz/issues/71>)
  * Add GPS Plugin (#66 <https://github.com/ignitionrobotics/ign-rviz/issues/66>)
  * Add MarkerArray display plugin (#64 <https://github.com/ignitionrobotics/ign-rviz/issues/64>)
  * Add support for more Marker geometry types (#63 <https://github.com/ignitionrobotics/ign-rviz/issues/63>)
  * Add Marker display plugin (#61 <https://github.com/ignitionrobotics/ign-rviz/issues/61>)
  * Remove dock and close button from title bar of Global Options plugin (#59 <https://github.com/ignitionrobotics/ign-rviz/issues/59>)
  * Add depth and thermal camera support  (#56 <https://github.com/ignitionrobotics/ign-rviz/issues/56>)
  * Add support for meshes with textures (#55 <https://github.com/ignitionrobotics/ign-rviz/issues/55>)
  * Add Path display plugin (#50 <https://github.com/ignitionrobotics/ign-rviz/issues/50>)
  * Fix spelling (#48 <https://github.com/ignitionrobotics/ign-rviz/issues/48>)
  * Add PoseArray display plugin (#47 <https://github.com/ignitionrobotics/ign-rviz/issues/47>)
  * Refactor CMakeLists.txt (#45 <https://github.com/ignitionrobotics/ign-rviz/issues/45>)
  * Add Polygon display plugin (#43 <https://github.com/ignitionrobotics/ign-rviz/issues/43>)
  * Add RobotModel display plugin (#42 <https://github.com/ignitionrobotics/ign-rviz/issues/42>)
  * Add Pose display plugin (#41 <https://github.com/ignitionrobotics/ign-rviz/issues/41>)
  * Add PointStamped display plugin (#40 <https://github.com/ignitionrobotics/ign-rviz/issues/40>)
  * Add QoS settings to display plugins (#39 <https://github.com/ignitionrobotics/ign-rviz/issues/39>)
  * Refactor code and update documentation (#38 <https://github.com/ignitionrobotics/ign-rviz/issues/38>)
  * Use LidarVisual to visualize LaserScan data (#37 <https://github.com/ignitionrobotics/ign-rviz/issues/37>)
  * Add Image Display plugin (#36 <https://github.com/ignitionrobotics/ign-rviz/issues/36>)
  * Remove pluginlib dependency (#35 <https://github.com/ignitionrobotics/ign-rviz/issues/35>)
  * LaserScan visualization plugin config (#34 <https://github.com/ignitionrobotics/ign-rviz/issues/34>)
  * Fix frame tree model (#33 <https://github.com/ignitionrobotics/ign-rviz/issues/33>)
  * TF visualization plugin config (#32 <https://github.com/ignitionrobotics/ign-rviz/issues/32>)
  * Global Options Plugin (#29 <https://github.com/ignitionrobotics/ign-rviz/issues/29>)
  * Axes visualization plugin (#27 <https://github.com/ignitionrobotics/ign-rviz/issues/27>)
  * Fix point geometry insertion error (#21 <https://github.com/ignitionrobotics/ign-rviz/issues/21>)
  * Add LaserScan visualization plugin (#17 <https://github.com/ignitionrobotics/ign-rviz/issues/17>)
  * Fix arrow and axis visual rendering
  * Add LaserScan visualization plugin
  * Add code documentation (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Add documentation for ign_rviz_plugins
  * Restructure repository (#11 <https://github.com/ignitionrobotics/ign-rviz/issues/11>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Sarathkrishnan Ramesh

 -- Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>  Fri, 16 Apr 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ign-rviz-plugins
Section: misc
Priority: optional
Maintainer: Sarathkrishnan Ramesh <sarathkrishnan99@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libignition-common4-dev, libignition-gui5-dev, libignition-math6-dev, libignition-rendering5-dev, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-ign-rviz-common, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-urdf, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ign-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-common4-dev, libignition-gui5-dev, libignition-math6-dev, libignition-rendering5-dev, ros-rolling-geometry-msgs, ros-rolling-ign-rviz-common, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2-msgs, ros-rolling-tf2-ros, ros-rolling-urdf, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: This package contains visualization plugins for ign-rviz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ign-rviz-plugins//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
